> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> Creates a new user in your Domo instance.



## OpenAPI

````yaml /openapi/platform/user.yaml POST /v1/users
openapi: 3.1.0
info:
  title: User API
  version: '1.0'
  description: >-
    User objects allow you to manage a user and the user’s attributes such as a
    department, phone number, employee number, email, and username. The API
    allows you to create, retrieve a user or a list of users, and update user
    information.


    ## The user object


    ## Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    email | string | User's primary email used in profile

    role | string | The role of the user created (available roles are: 'Admin',
    'Privileged', 'Participant')

    title | string | User's job title

    alternateEmail | string | User's secondary email in profile

    phone | string | Primary phone number of user

    location | string | Free text that can be used to define office location
    (e.g. City, State, Country)

    timezone | string | Time zone used to display to user the system times
    throughout Domo application

    locale | date-time | Locale used to display to user the system settings
    throughout Domo application

    employeeNumber | string | Employee number within company
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/users:
    parameters: []
    post:
      summary: Create a user
      description: Creates a new user in your Domo instance.
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: User's full name
          required: true
        - schema:
            type: string
          in: query
          name: email
          description: User's primary email used in profile
          required: true
        - schema:
            type: string
          in: query
          name: role
          required: true
          description: >-
            The role of the user created (available roles are: 'Admin',
            'Privileged', 'Participant')
        - schema:
            type: boolean
          in: query
          name: sendInvite
          description: Send an email invite to created user
        - schema:
            type: string
          in: query
          description: User's job title
          name: title
        - schema:
            type: string
          in: query
          description: User's secondary email in profile
          name: alternateEmail
        - schema:
            type: string
          in: query
          name: phone
          description: Primary phone number of user
        - schema:
            type: string
          in: query
          description: >-
            Free text that can be used to define office location (e.g. City,
            State, Country)
          name: location
        - schema:
            type: string
          in: query
          name: timezone
          description: >-
            Time zone used to display to user the system times throughout Domo
            application
        - schema:
            type: string
          in: query
          name: locale
          description: >-
            Locale used to display to user the system settings throughout Domo
            application
        - schema:
            type: string
          in: query
          name: employeeNumber
          description: Employee number within company
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                email:
                  type: string
                alternateEmail:
                  type: string
                role:
                  type: string
                phone:
                  type: string
                name:
                  type: string
                location:
                  type: string
                timezone:
                  type: string
                locale:
                  type: string
                employeeNumber:
                  type: integer
              x-examples:
                Example 1:
                  title: Software Engineer
                  email: leonhard.euler@domo.com
                  alternateEmail: leonhardeuler@email.com
                  role: Admin
                  phone: 888-361-1078
                  name: Leonhard Euler
                  location: American Fork
                  timezone: ''
                  locale: ''
                  employeeNumber: 23432
            examples:
              Example 1:
                value:
                  title: Software Engineer
                  email: leonhard.euler@domo.com
                  alternateEmail: leonhardeuler@email.com
                  role: Admin
                  phone: 888-361-1078
                  name: Leonhard Euler
                  location: American Fork
                  timezone: ''
                  locale: ''
                  employeeNumber: 23432
      responses:
        '200':
          description: >-
            Returns a user object when successful. The returned object will have
            user attributes based on the information that was provided when user
            was created. The two exceptions of attributes not returned are the
            user's timezone and locale.
          content:
            application/json:
              schema:
                type: object
                properties:
                  alternateEmail:
                    type: string
                  createdAt:
                    type: string
                  email:
                    type: string
                  employeeNumber:
                    type: integer
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                  id:
                    type: integer
                  image:
                    type: string
                  location:
                    type: string
                  name:
                    type: string
                  phone:
                    type: string
                  role:
                    type: string
                  title:
                    type: string
                  updatedAt:
                    type: string
                x-examples:
                  Example 1:
                    alternateEmail: leonhardeuler@email.com
                    createdAt: '2017-06-12T20:16:59Z'
                    email: leonhard.euler@domo.com
                    employeeNumber: 23432
                    groups:
                      - id: 1324037627
                        name: Default
                    id: 959463190
                    image: https://instance.domo.com/avatar/thumb/domo/959463190
                    location: American Fork
                    name: Leonhard Euler
                    phone: 888-361-1078
                    role: Admin
                    title: Software Engineer
                    updatedAt: '2017-06-12T20:16:59Z'
              examples:
                Example 1:
                  value:
                    alternateEmail: leonhardeuler@email.com
                    createdAt: '2017-06-12T20:16:59Z'
                    email: leonhard.euler@domo.com
                    employeeNumber: 23432
                    groups:
                      - id: 1324037627
                        name: Default
                    id: 959463190
                    image: https://instance.domo.com/avatar/thumb/domo/959463190
                    location: American Fork
                    name: Leonhard Euler
                    phone: 888-361-1078
                    role: Admin
                    title: Software Engineer
                    updatedAt: '2017-06-12T20:16:59Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````